> For the complete documentation index, see [llms.txt](https://api.lampix.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api.lampix.co/application-development.md).

# Application Development

- [Getting Started](https://api.lampix.co/application-development/getting-started.md)
- [Up and Running](https://api.lampix.co/application-development/getting-started/up-and-running.md)
- [Boilerplate](https://api.lampix.co/application-development/getting-started/boilerplate.md)
- [Step by step app](https://api.lampix.co/application-development/step-by-step.md)
- [What We'll Build](https://api.lampix.co/application-development/step-by-step/end-result.md)
- [Environment Setup](https://api.lampix.co/application-development/step-by-step/environment-setup.md)
- [Styling](https://api.lampix.co/application-development/step-by-step/styling.md)
- [HTML Structure](https://api.lampix.co/application-development/step-by-step/html-structure.md)
- [NeuralNetworkClassifier](https://api.lampix.co/application-development/step-by-step/initialize-nnc.md)
- [MovementBasedSegmenter](https://api.lampix.co/application-development/step-by-step/initialize-mbs.md)
- [Final Step](https://api.lampix.co/application-development/step-by-step/final-step.md)
- [Extras](https://api.lampix.co/application-development/step-by-step/extras.md)
- [LampixJS](https://api.lampix.co/application-development/lampixjs.md)
- [API Reference](https://api.lampix.co/application-development/lampixjs/api.md)
- [Watcher](https://api.lampix.co/application-development/lampixjs/api/watcher.md)
- [RegisteredWatcher](https://api.lampix.co/application-development/lampixjs/api/registered-watcher.md)
- [.watchers.add](https://api.lampix.co/application-development/lampixjs/api/watchers.add.md)
- [.watchers.remove](https://api.lampix.co/application-development/lampixjs/api/watchers.remove.md)
- [.watchers.pauseAll](https://api.lampix.co/application-development/lampixjs/api/watchers.pauseall.md)
- [.watchers.resumeAll](https://api.lampix.co/application-development/lampixjs/api/watchers.resumeall.md)
- [.presets.button](https://api.lampix.co/application-development/lampixjs/api/presets.button.md)
- [.helpers.rectangle](https://api.lampix.co/application-development/lampixjs/api/helpers.rectangle.md)
- [getLampixInfo](https://api.lampix.co/application-development/lampixjs/api/getlampixinfo.md)
- [switchToApp](https://api.lampix.co/application-development/lampixjs/api/switchtoapp.md)
- [exit](https://api.lampix.co/application-development/lampixjs/api/exit.md)
- [getApps](https://api.lampix.co/application-development/lampixjs/api/getapps.md)
- [getAppConfig](https://api.lampix.co/application-development/lampixjs/api/getappconfig.md)
- [getAppMetadata](https://api.lampix.co/application-development/lampixjs/api/getappmetadata.md)
- [writeJsonToFile](https://api.lampix.co/application-development/lampixjs/api/writejsontofile.md)
- [readJsonFromFile](https://api.lampix.co/application-development/lampixjs/api/readjsonfromfile.md)
- [transformRectCoords](https://api.lampix.co/application-development/lampixjs/api/transformrectcoords.md)
- [constants](https://api.lampix.co/application-development/lampixjs/api/constants.md)
- [Examples](https://api.lampix.co/application-development/lampixjs/examples.md)
- [NeuralNetworkClassifier: Buttons](https://api.lampix.co/application-development/lampixjs/examples/buttons.md)
- [MovementBasedSegmenter](https://api.lampix.co/application-development/lampixjs/examples/movement-based-segmenter.md)
- [Counter App](https://api.lampix.co/application-development/lampixjs/examples/counter-app.md)
- [Migrating from v0.x.x to v1.0.0-beta.x](https://api.lampix.co/application-development/lampixjs/migration-guide.md)
- [Ecosystem](https://api.lampix.co/application-development/lampixjs/ecosystem.md)
- [Deploying](https://api.lampix.co/application-development/deploying.md)
- [Application Structure (production)](https://api.lampix.co/application-development/deploying/application-structure.md)
- [Local Deploy](https://api.lampix.co/application-development/deploying/local-upload.md)
- [Standard Watchers](https://api.lampix.co/application-development/standard-watchers.md)
- [Custom Watchers](https://api.lampix.co/application-development/lampixcustomwatchers.md)
- [Description](https://api.lampix.co/application-development/lampixcustomwatchers/description.md)
- [Environment Setup](https://api.lampix.co/application-development/lampixcustomwatchers/environment-setup.md)
- [Directory Structure](https://api.lampix.co/application-development/lampixcustomwatchers/directory-structure.md)
- [End result](https://api.lampix.co/application-development/lampixcustomwatchers/end-result.md)
- [QRCodeDetector implementation](https://api.lampix.co/application-development/lampixcustomwatchers/qrcodedetector-implementation.md)
- [Community](https://api.lampix.co/application-development/community.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api.lampix.co/application-development.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
